User:MrMosquito/somethingsomethingcutscene.css

From Tower Defense Simulator Wiki
Jump to navigation Jump to search

html, body { margin: 0; padding: 0; min-height: 100%; }

.resizable-container { min-height: 100vh; transform-origin: center center; animation: zoomerShitSeq 5s ease-in-out; }

body::after { content: "Let's put it to the test"; position: fixed; font-family: 'Uni Sans Heavy'; font-size: 22px; inset: 0; display: flex; justify-content: center; align-items: center; font-size: 2em; font-weight: bold; background: black; color: white; z-index: 9999; opacity: 0; pointer-events: none; animation: overlaySeq 5s steps(1, end); }

@keyframes zoomerShitSeq { 0% { transform: scale(1); filter: grayscale(0%) contrast(1) brightness(1); }

70% { transform: scale(0.95); filter: grayscale(1) contrast(20) brightness(2); }

90% { transform: scale(0.95); filter: grayscale(1) contrast(20) brightness(2); }

95% { transform: scale(1); filter: grayscale(0%) contrast(1) brightness(1); }

100% { transform: scale(1); filter: grayscale(0%) contrast(1) brightness(1); } }

@keyframes overlaySeq {

0%, 69% { opacity: 0; }

70% { opacity: 1; background: black; color: white; }

71% { background: white; color: black; }

72% { background: black; color: white; }

73% { background: white; color: black; }

74% { background: black; color: white; }

75% { background: white; color: black; }

76% { background: black; color: white; }

77% { background: white; color: black; }

78% { background: black; color: white; }

79% { background: white; color: black; }

80% { background: black; color: white; }

81% { background: white; color: black; }

82% { background: black; color: white; }

83% { background: white; color: black; }

84% { background: black; color: white; }

85% { background: white; color: black; }

86% { background: black; color: white; }

87% { background: white; color: black; }

88% { background: black; color: white; }

89% { background: white; color: black; }

90% { background: black; color: white; }

91% { background: white; color: black; }

92% { background: black; color: white; }

93% { background: white; color: black; }

94% { background: black; color: white; }

95% { background: white; color: black; }

96% { background: black; color: white; }

97% { background: white; color: black; }

98% { background: black; color: white; }

99% { background: white; color: black; }

100% { opacity: 0; background: black; color: white; } }